//
//  Unit.m
//  BG-1_01
//
//  Created by James Bell on 11-04-25.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "Unit.h"


@implementation Unit

- (id) initWithLayer: (HelloWorldLayer*) game {
    if ((self = [super init])) {
        [game addChild:self];
        [self fireAndDestroy];
    }
    return (self);
}

- (void) fireAndDestroy {
    NSLog(@"Fired!");
    NSLog(@"Destroying...");
    [self schedule:@selector(destroy) interval:3];
}

- (void) destroy {
    [self unschedule:@selector(destroy)];
    NSLog(@"Unit Destroyed");
    [self.parent removeChild:self cleanup:YES];
}

- (void) dealloc {
    [super dealloc];
}

@end
